Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.cellview.client
Class TextHeader

    java.lang.Object
      com.google.gwt.user.cellview.client.Header<java.lang.String>
          com.google.gwt.user.cellview.client.TextHeader

    public class TextHeader

extends Header<java.lang.String>

A Header containing String data rendered by a `TextCell`.

Constructor Summary
`TextHeader(java.lang.String text)` Construct a new TextHeader.

Method Summary
`java.lang.String` | `getValue()` Return the header text.

Methods inherited from class com.google.gwt.user.cellview.client.Header
`getCell, getKey, onBrowserEvent, render, setUpdater`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextHeader

    public TextHeader(java.lang.String text)

  Construct a new TextHeader.

  Parameters:
    `text` - the header text as a String

Method Detail

### getValue

    public java.lang.String getValue()

  Return the header text.

  Specified by:
    `getValue` in class `Header<java.lang.String>`
  Returns:
    the header value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD